Package com.google.javascript.jscomp.webservice.common

# Enum Protocol.OutputFormatKey

java.lang.Object
java.lang.Enum<Protocol.OutputFormatKey>
com.google.javascript.jscomp.webservice.common.Protocol.OutputFormatKey

All Implemented Interfaces:
  `Protocol.ProtocolEnum`, `Serializable`, `Comparable<Protocol.OutputFormatKey>`, `java.lang.constant.Constable`

Enclosing class:
  `Protocol`

public static enum Protocol.OutputFormatKey extends Enum<Protocol.OutputFormatKey> implements Protocol.ProtocolEnum

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`JSON`
`TEXT`
`XML`

## Method Summary

Modifier and Type
Method
Description
`String`
`getValue()`
`String`
`toString()`
`static Protocol.OutputFormatKey`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Protocol.OutputFormatKey[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### TEXT

public static final Protocol.OutputFormatKey TEXT

### XML

public static final Protocol.OutputFormatKey XML

### JSON

public static final Protocol.OutputFormatKey JSON

## Method Details

### values

public static Protocol.OutputFormatKey[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Protocol.OutputFormatKey valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getValue

public String getValue()

Specified by:
  `getValue` in interface `Protocol.ProtocolEnum`
Returns:
  A string representing the key or value specified by the protocol.

### toString

public String toString()

Overrides:
  `toString` in class `Enum<Protocol.OutputFormatKey>`